Gestiono
Referencia de APIResources / Record

Create Record bulk stock

POST /v1/resource/record/bulk-stock • validated by `postBulkStockUpdate`

← Back to full API reference
POST/v1/resource/record/bulk-stockAuthentication required
  • Validated by Zod schema: postBulkStockUpdate.

Request details

Path params

No path parameters for this endpoint.

Query params

No explicit query schema was captured for this endpoint.

Body fields

  • records (required)

    Type: array

    Example:

  • records[] (required)

    Type: object

  • records[].resourceId

    Type: number

  • records[].sku

    Type: string

  • records[].divisionId (required)

    Type: number

  • records[].currentStock (required)

    Type: number

  • records[].description

    Type: string

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "records": [
    {
      "divisionId": 1,
      "currentStock": 1
    }
  ]
}

Sample response

json
"<result>"

Test this endpoint now

Use your own credentials and execute a live request directly from this page.

1. Configure authentication for testing

You can test endpoints with signed API keys, a raw Authorization token, or browser cookies. Select one mode and fill in the required fields.

2. Select endpoint

POST/v1/resource/record/bulk-stockAuthentication required

Group: Resources / Record

POST /v1/resource/record/bulk-stock • validated by `postBulkStockUpdate`

  • Validated by Zod schema: postBulkStockUpdate.

Body fields

  • recordsrequired
    Type: array
    Ejemplo:
  • records[]required
    Type: object
  • records[].resourceId
    Type: number
  • records[].sku
    Type: string
  • records[].divisionIdrequired
    Type: number
  • records[].currentStockrequired
    Type: number
  • records[].description
    Type: string

3. Prepare request payload

4. Server response

Run a request to inspect the real-time response for your environment.